/*
 * datatype.h
 *
 * $Source: /fs/nene/uysal/mambo/cholesky/fact/RCS/datatype.h,v $
 *
 * $Header: /fs/nene/uysal/mambo/cholesky/fact/RCS/datatype.h,v 1.1 1997/02/28 06:51:27 uysal Exp uysal $
 *
 * Data type definitions
 *
 * Author : Mustafa Uysal <uysal@cs.umd.edu>
 *
 */
#ifndef __DATATYPE_H__
#define __DATATYPE_H__

//
// Default datatype is double precision REAL
//

#if defined(SINGLE)
typedef float   fp_t;
#else 
typedef double  fp_t;   
#endif 

#if    defined(COMPLEX)
typedef complex  elem_t;
#else
typedef fp_t     elem_t;
#endif 

#endif
