/*
 * datatype.h
 *
 * $Source: /fs/nene/uysal/pf/newFact/RCS/datatype.h,v $
 *
 * $Header: /fs/nene/uysal/pf/newFact/RCS/datatype.h,v 1.1 1995/10/16 03:42:25 uysal Exp $
 *
 * Data type definitions
 *
 * Author : Mustafa Uysal <uysal@cs.umd.edu>
 *
 */
#ifndef __DATATYPE_H__
#define __DATATYPE_H__


#if    defined(DOUBLE)
typedef double  fp_t;
#if    defined(SINGLE)
#undef SINGLE
#endif defined(SINGLE)
#else
typedef float   fp_t;
#endif defined(DOUBLE)


typedef struct {
  fp_t RealPart;
  fp_t ImagPart;
} complex_t;



#if    defined(COMPLEX)
typedef complex_t  nonzero_t;
#if    defined(REAL)
#undef REAL
#endif defined(REAL)
#else
typedef fp_t       nonzero_t;
#endif defined(COMPLEX)


#endif  __DATATYPE_H__
