/*
 * dep.h
 *
 * $Source: /fs/nene/uysal/pf/Part/RCS/dep.h,v $
 *
 * $Header: /fs/nene/uysal/pf/Part/RCS/dep.h,v 1.1 1995/09/21 04:26:45 uysal Exp $
 *
 * Export Signature of Modules defined in dep.c
 *
 * Author : Mustafa Uysal <uysal@cs.umd.edu>
 *
 */
#ifndef __DEP_H__
#define __DEP_H__

#include "world.h"

/* Routine to Initialize Local Data Structures for the Dependency Module */
void DepModuleInit ARGS((void));

/* Routine to be called for distributed dependency processing */
int *DepProcessing ARGS((int id, int map, int *cnt));

/* Server routine to keep track of local dependency information */
void DepServer ARGS((int cmd, int snid, queue_t *qptr));


#endif  __DEP_H__
