/*
 * mtags.h
 *
 * $Source: /fs/nene/uysal/pf/Part/RCS/mtags.h,v $
 *
 * $Header: /fs/nene/uysal/pf/Part/RCS/mtags.h,v 1.1 1995/09/21 04:26:45 uysal Exp $
 *
 * Message tags used in the program
 *
 * Author : Mustafa Uysal <uysal@cs.umd.edu>
 *
 */
#ifndef __MTAGS_H__
#define __MTAGS_H__

#include "world.h"

#define MSG_LIST_CNT 0
#define MSG_LIST_DAT 1

#define MSG_SND_CNT  2
#define MSG_SND_LST  3

#define MSG_SHIFT    100
#define MSG_BLK      200
#define MSG_COL      300


/* Routine to determine the processor to which a block is mapped */
int BlockMapping ARGS((int x, int y));

#endif  __MTAGS_H__
