/*
 * datatype.h
 *
 * $Source: /fs/nene/uysal/pf/Part/RCS/datatype.h,v $
 *
 * $Header: /fs/nene/uysal/pf/Part/RCS/datatype.h,v 1.1 1995/10/09 19:27:01 uysal Exp uysal $
 *
 * Data type definitions
 *
 * Author : Mustafa Uysal <uysal@cs.umd.edu>
 *
 */
#ifndef __DATATYPE_H__
#define __DATATYPE_H__

//
// Default datatype is double precision REAL
//

#if defined(SINGLE)
typedef float   fp_t;
#else 
typedef double  fp_t;   
#endif 

typedef struct {
  fp_t RealPart;
  fp_t ImagPart;
} complex_t;

#if    defined(COMPLEX)
typedef complex_t  elem_t;
#else
typedef fp_t       elem_t;
#endif 


#endif
