/*
 * mem.h
 *
 * $Source: /fs/nene/uysal/pf/newFact/RCS/mem.h,v $
 *
 * $Header: /fs/nene/uysal/pf/newFact/RCS/mem.h,v 1.1 1995/10/16 03:42:25 uysal Exp $
 *
 * Signature for the memory control module
 *
 * Author : Mustafa Uysal <uysal@cs.umd.edu>
 *
 */
#ifndef __MEM_H__
#define __MEM_H__

#include <sys/types.h>
#include "nworld.h"

void    MemInit ARGS(( int verbose ));
void    MemExit ARGS(( void ));
void    MemStatus ARGS(( void ));

caddr_t MemGet ARGS(( int size ));
void    MemPut ARGS(( caddr_t ptr, int size ));

#endif
