/*
 * debug.h
 *
 * $Source$
 *
 * $Header$
 *
 * Common header for debugging purposes
 *
 * Author : Mustafa Uysal <uysal@cs.umd.edu>
 *
 */

#ifndef __DEBUG_H__
#define __DEBUG_H__

#if defined(DBG)

#define MSG_LEVEL  2
#define dbg_msg(lev, fmt)    { if (lev>MSG_LEVEL) message(fmt); }
#define dbg_if(exp, act)     { if (exp) { act; } }

#else

#define dbg_msg(lev, fmt)    
#define dbg_if(exp, act)

#endif defined(DBG)


#endif  __DEBUG_H__












/*-------------- STUFF from BLACK DAYS -------------*/

#if 0
#define LOG_FREQ 1

#define COMM_PRINT
#define BLK_LIST
#define DISK_SRC_PRINT

#define PVT_WATCH 282
#define SRC_WATCH 156


#define MLT_WATCH 156
#define MULT_PRINT    /* Enable printing of multipliers */

#define SNUPD_LOG     /* Enable blk operation sigs to be printed - kernel.c */
#endif
