/*
 * part.h
 *
 * $Source: /fs/nene/uysal/pf/Part/RCS/part.h,v $
 *
 * $Header: /fs/nene/uysal/pf/Part/RCS/part.h,v 1.2 1995/10/09 19:27:01 uysal Exp $
 *
 * Export module for sparse Matrix block decomposition
 * and data distribution
 *
 * Author : Mustafa Uysal <uysal@cs.umd.edu>
 *
 */
#ifndef __PART_H__
#define __PART_H__

#include "world.h"
#include "datatype.h"

/*--------------- Type Definitions ---------------*/

typedef struct column {
  int colno;
  int size;
  int *rowIndex;
  nonzero_t *value;
} column_t;


typedef struct block {
  int xcoor;
  int ycoor;
  int lcol;
  int rcol;
  int hrow;
  int lrow;
  nonzero_t *value;
  int size;
} block_t;


/*--------------- Exported Functions ---------------*/

void IndexRegister ARGS((int entry));

#endif  __PART_H__
