/*
 * mppworld.h
 *
 * $Source: /fs/nene/uysal/mambo/cholesky/symbolic/RCS/mppworld.h,v $
 *
 * $Header: /fs/nene/uysal/mambo/cholesky/symbolic/RCS/mppworld.h,v 1.2 1995/09/08 09:40:42 uysal Exp $
 *
 * Generic header file for MPP related functions and utilities
 *
 * Author : Mustafa Uysal (uysal@cs.umd.edu)
 *
 */
#ifndef __MPPWORLD_H__
#define __MPPWORLD_H__

#include "world.h"

#if    defined(SP2)
#include "mpproto.h"
#endif 


int NumProcs ARGS((void));
int MyProc ARGS((void));

void MsgSend ARGS((IN int tag, IN int to, IN char *buf, IN int len));
int  MsgRecv ARGS((IN int tag, IN char *buf, IN int len));
int  MsgRecvFrom ARGS((IN int tag, IN char *buf, IN int len, IN int src));
void MsgBroadcast ARGS((int origin, void *message, int size, int tag));
void Sync ARGS((void));

double CLOCK();

caddr_t RecvQueuePoll();

#endif  


